Upload more than one file at a time
Closed, ResolvedPublic

Description

Author: kissall

Description:
We found it is tedious to upload file one by one if we have a bunch of files to be
uploaded. It would be better to allow users upload several files at a time.

Taking yahoo mail as an example, users can attach 5 files in a single page. I use

this feature a lot.


Version: 1.3.x
Severity: enhancement

bzimport added a project: MediaWiki-Uploading.Via ConduitNov 21 2014, 6:56 PM
bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz488.
bzimport created this task.Via LegacySep 14 2004, 7:40 PM
bzimport added a comment.Via ConduitMay 3 2005, 2:44 PM

zigger wrote:

For a Windows (.NET) tool to bulk upload to the Wikimedia Commons, see
http://tiredbrain.com/wikimedia/commonplace/

bzimport added a comment.Via ConduitDec 17 2005, 7:42 AM

webmaster wrote:

Has there been any further talk about including such a feature into the core cvs
of MediaWiki?

bzimport added a comment.Via ConduitApr 9 2006, 3:06 AM

ayg wrote:

My mother (an art history professor) has been collecting an impressive number of
19th-century painters' images online (public-domain per [[w:Bridgeman v.
Corel]]), and it would certainly be handy if I could upload them somehow en
masse to Commons eventually. However, there are major implementation details
that would need to be worked out: how would you deal with descriptions and
copyright info? Sources should be given individually for every image, ideally,
so how will that work?

bzimport added a comment.Via ConduitApr 9 2006, 3:31 AM

brianna.laugher wrote:

In the meantime...
there is a Perl script you can use to upload en masse, if you're comfortable
with using Perl:
http://commons.wikimedia.org/wiki/Commons:File_upload_service/Script

and there is a java program Commonist
http://commons.wikimedia.org/wiki/Commons:Tools/Commonist which might be easier
to use, but I'm not sure how much flexibility it will allow you.

Commons also has a 'Creator' namespace which was used when we uploaded 100,000
paintings from DirectMedia, for example
http://commons.wikimedia.org/wiki/Creator:James_McNeill_Whistler
which is just transcluded onto image pages like
http://commons.wikimedia.org/wiki/Image:Whistler_Portrait_of_his_Mother.jpg .

--[[commons:User:pfctdayelise]]

daniel added a comment.Via ConduitAug 11 2006, 9:50 AM

Please note that HTML/HTTP does not allow for bulk uploads. While it would be
possible to have three or five or ten file upload fields, users would still have
to select each file individually. Selecting an entire folder, or using drag &
drop of a selection of files, would still not be possible.

Multi-File upload could be implemented using a (signed) Java Applet, or Flash.
Both platforms are not "free enough" for inclusion in core MediaWiki, raise the
client requirements, and pose a problem for accessibility. Also, when uploading
multiple files at once, warnings/feedback about name changes, overwriting
existing images and invalid files would become a lot more complicated.

For the time being, it seems to be best to use client side programs like
Commonist for mass uploads. An alternative aproach would be to allow "archive
import" of images, analogous to Special:Import. That would however still require
an application on the client side to prepare the import archive, which would
have to follow a strict format, contain meta-info as XML, etc.

As far as I know, there is no simple, clean and reliable way to implement
multi-file uploads over a web interface.

leucosticte added a comment.Via ConduitNov 8 2008, 9:55 PM

Should we change it to WONTFIX then?

bzimport added a comment.Via ConduitNov 8 2008, 10:06 PM

mike.lifeguard+bugs wrote:

(In reply to comment #6)

Should we change it to WONTFIX then?

No. Even uploading a few files at a time is a step forward.

siebrand added a comment.Via ConduitNov 8 2008, 10:12 PM

There is of course http://www.mediawiki.org/wiki/Extension:MultiUpload . I do not know if it works properly.

brion added a comment.Via ConduitDec 30 2008, 2:24 AM

I've split this into three component bugs:

bug 16751 -- backend support / basic interface
bug 16572 -- use of HTML 5 multiple-upload option where available
bug 16573 -- use of Flash multiple-upload widget where available

And indeed, peeking at MultiUpload would be wise. :)

bzimport added a comment.Via ConduitFeb 12 2009, 6:21 PM

old_school_junkie wrote:

Extension:MultiUpload is crap. It works basically but I think it's not very secure. It doesn't even check if the target name exists.

Platonides added a comment.Via ConduitFeb 12 2009, 6:26 PM

(fixing bug numbers)

bug 16751 -- backend support / basic interface
bug 16752 -- use of HTML 5 multiple-upload option where available
bug 16753 -- use of Flash multiple-upload widget where available

bzimport added a comment.Via ConduitFeb 14 2009, 3:31 PM

old_school_junkie wrote:

*** Bug 14926 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitAug 31 2011, 7:52 AM

alfred.maghi wrote:

[[Special:UploadWizard]] supports multiple file uploads.
According to Bug 16751, we can consider that this bug is fixed.

Gilles added a project: Multimedia.Via WebDec 4 2014, 9:22 AM
Gilles raised the priority of this task from "Low" to "Unbreak Now!".Via WebDec 4 2014, 10:12 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles lowered the priority of this task from "Unbreak Now!" to "Low".Via ConduitDec 4 2014, 11:20 AM

Add Comment